<?php

namespace Teknisa\CMP\Modules\V1\Controllers; 
use Zeedhi\Framework\DTO;

class ProdutosOrdenadosPorSolicitacaoController extends \Teknisa\GER\Modules\V1\Controllers\TeknisaCrud{
    protected $parameterBagColumns = array(
        "NRSOLI",
        "PRODCMP",
        "CDFILLAN",
        "CDFILSOLI"
    );
    protected $dataSourceName = "produtos_ordenados_por_solicitacao";

    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $this->parameterBag->set('CDFILIAL', $this->environment->getCdFilial());
        $this->parameterBag->set('NRORG', $this->environment->getNrOrg());
        parent::find($request, $response);
    }
} 